# 勘定科目
# 補助コード込みでエントリを作成する。
class AccountTitlesController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update, :update_addable ],
         :redirect_to => { :action => :list }

  def list
    @account_title_pages, @account_titles = paginate :account_titles,
                                    :order => 'account_code, suppl_code',
                                    :per_page => 20
  end
  
  # 購買伝票で使用可能か選ぶ
  def select_addable
    @account_titles = AccountTitle.find(:all,
                 :conditions => 'end_day is NULL',
                 :order => 'account_code, suppl_code')
  end

  # 更新する
  def update_addable
    list = params[:ss]
    AccountTitle.transaction {
      AccountTitle.find(:all).each {|r|
        orig_active = r.purchase_active
        r.purchase_active = list.index(r.id.to_s) ? 1 : 0  # activeでチェックを入れる
        r.save! if orig_active != r.purchase_active
      }
    }
    redirect_to :action => 'select_addable'
  end
  
  def show
    @account_title = AccountTitle.find(params[:id])
  end

  def new
    @account_title = AccountTitle.new
  end

  def create
    @account_title = AccountTitle.new(params[:account_title])
    if @account_title.save
      flash[:notice] = 'AccountTitle was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @account_title = AccountTitle.find(params[:id])
  end

  def update
    @account_title = AccountTitle.find(params[:id])
    if @account_title.update_attributes(params[:account_title])
      flash[:notice] = 'AccountTitle was successfully updated.'
      redirect_to :action => 'show', :id => @account_title
    else
      render :action => 'edit'
    end
  end

  def destroy
    AccountTitle.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
