# Filters added to this controller will be run for all controllers in the application.
# Likewise, all the methods added will be available for all controllers.
class ApplicationController < ActionController::Base
  # Acts as Authenticatedプラグインを使用する。
  include AuthenticatedSystem
  
=begin
  # paginate_by_sql for Rails: a database independent approach &raquo; Bogle's Blog
  # http://thebogles.com/blog/2006/06/paginate_by_sql-for-rails-a-more-general-approach/
  def paginate_by_sql
    raise
  end
=end
end

# Unicodeの正規化
def norm(s)
  s ? ActiveSupport::Multibyte::Handlers::UTF8Handler.normalize(s, :kc) : nil
end

# 3桁ごとにカンマを挿入
def format_amount(n, exp)
  n = Float(n) / (10.0 ** exp) if exp != 0
  n.to_s.reverse.split(/([0-9]{1,3})/).collect {|d| d == "" ? ',' : d}.join('').reverse.chop
end

def edit_amount(n, exp)
  if n
    if exp != 0
      (Float(n) / (10.0 ** exp)).to_s
    else
      n.to_s
    end
  else
    ""
  end
end

def format_bank_account ba
  if ba
    [ba.format_branch, ba.format_number, ba.kana_name].join(" ")
  else
    '(銀行口座の設定がありません)'
  end
end

def date_select2 obj, method
  r = date_select obj, method
  r << %Q!<input type="button" onClick="openCalendar(this.form.#{obj}_#{method}_1i, this.form.#{obj}_#{method}_2i, this.form.#{obj}_#{method}_3i, event, &#39;yy/mm/dd&#39;);" value="..." style="padding:0">!
  return r
end

def date_from_select(s, name)
  return Date.new(s["#{name}(1i)"].to_i, s["#{name}(2i)"].to_i, s["#{name}(3i)"].to_i)
end

def utf2sjis(s)
  if s
    NKF.nkf('-m0 -s -W', s)
  else
    nil
  end
end
