class BankBranchesController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @bank_branch_pages, @bank_branches = paginate :bank_branches, :per_page => 10
  end

  def show
    @bank_branch = BankBranch.find(params[:id])
  end

  def new
    @bank_branch = BankBranch.new
  end

  def create
    @bank_branch = BankBranch.new(params[:bank_branch])
    if @bank_branch.save
      flash[:notice] = 'BankBranch was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @bank_branch = BankBranch.find(params[:id])
  end

  def update
    @bank_branch = BankBranch.find(params[:id])
    if @bank_branch.update_attributes(params[:bank_branch])
      flash[:notice] = 'BankBranch was successfully updated.'
      redirect_to :action => 'show', :id => @bank_branch
    else
      render :action => 'edit'
    end
  end

  def destroy
    BankBranch.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
