class ControlDivisionsController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @control_division_pages, @control_divisions = paginate :control_divisions, :per_page => 10
  end

  def show
    @control_division = ControlDivision.find(params[:id])
  end

  def new
    @control_division = ControlDivision.new
  end

  def create
    @control_division = ControlDivision.new(params[:control_division])
    if @control_division.save
      flash[:notice] = 'ControlDivision was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @control_division = ControlDivision.find(params[:id])
  end

  def update
    @control_division = ControlDivision.find(params[:id])
    if @control_division.update_attributes(params[:control_division])
      flash[:notice] = 'ControlDivision was successfully updated.'
      redirect_to :action => 'show', :id => @control_division
    else
      render :action => 'edit'
    end
  end

  def destroy
    ControlDivision.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
