

# 通貨
class CurrenciesController < ApplicationController
  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def index
    list
    render :action => 'list'
  end
  
  # 通貨マスタ（一覧表示）
  def list
    @currencies = Currency.find(:all)
  end

  def show
    @currency = Currency.find(params[:id])
  end
  
  # 新しい通貨画面
  def new
    @currency = Currency.new
  end
  
  # 新規登録
  def create
    @currency = Currency.new(params[:currency])
    if @currency.save
      flash[:notice] = 'Currency was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end
  
  # 編集画面
  def edit
    @currency = Currency.find(params[:id])
  end

  def update
    @currency = Currency.find(params[:id])
    if @currency.update_attributes(params[:currency])
      flash[:notice] = 'Currency was successfully updated.'
      redirect_to :action => 'show', :id => @currency
    else
      render :action => 'edit'
    end
  end

  def destroy
    Currency.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
  
  # 為替レートの一覧・登録画面
  def rate
    @currencies = Currency.find :all
    @dates = CurrencyRate.find(:all, :select => 'distinct date', :limit => 10,
                               :order => 'date').collect {|r| r.date }
  end
  
  def update_rate
    day = date_from_select(params['new'], 'day')
    CurrencyRate.transaction {
      Currency.find(:all).each {|c|
        rate = params["v.#{c.id}"]
        if rate
          r = CurrencyRate.new(:date => day, :currency => c, :rate => rate)
          r.save!
        end
      }
    }
    flash[:notice] = '為替レートを更新しました。'
    redirect_to :action => 'rate'
  end
end
