# 会計部門
# 組織とは一致しない
class DivisionsController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update, :update_addable ],
         :redirect_to => { :action => :list }
  
  # 一覧表示
  def list
    @division_pages, @divisions = paginate :divisions, :per_page => 10
  end

  def show
    @division = Division.find(params[:id])
  end

  def new
    @division = Division.new
  end

  def create
    @division = Division.new(params[:division])
    if @division.save
      flash[:notice] = 'Division was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @division = Division.find(params[:id])
  end

  def update
    @division = Division.find(params[:id])
    if @division.update_attributes(params[:division])
      flash[:notice] = 'Division was successfully updated.'
      redirect_to :action => 'show', :id => @division
    else
      render :action => 'edit'
    end
  end

  def destroy
    Division.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
  
  # 購買伝票で使用可にするかの一覧
  def select_addable
    @divisions = Division.find(:all,
                       :conditions => 'end_day is NULL',
                       :order => 'division_code')
  end
  
  # 更新する
  def update_addable
    list = params[:ss]
    Division.transaction {
      Division.find(:all).each {|r|
        orig_active = r.purchase_active
        r.purchase_active = list.index(r.id.to_s) ? 1 : 0   # activeでチェックを入れる
        r.save! if orig_active != r.purchase_active
      }
    }
    redirect_to :action => 'select_addable'
  end
end
