class InvoiceLogsController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @invoice_log_pages, @invoice_logs = paginate :invoice_logs, :per_page => 10
  end

  def show
    @invoice_log = InvoiceLog.find(params[:id])
  end

  def new
    @invoice_log = InvoiceLog.new
  end

  def create
    @invoice_log = InvoiceLog.new(params[:invoice_log])
    if @invoice_log.save
      flash[:notice] = 'InvoiceLog was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @invoice_log = InvoiceLog.find(params[:id])
  end

  def update
    @invoice_log = InvoiceLog.find(params[:id])
    if @invoice_log.update_attributes(params[:invoice_log])
      flash[:notice] = 'InvoiceLog was successfully updated.'
      redirect_to :action => 'show', :id => @invoice_log
    else
      render :action => 'edit'
    end
  end

  def destroy
    InvoiceLog.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
