class WorkActionsController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @work_action_pages, @work_actions = paginate :work_actions, :per_page => 10
  end

  def show
    @work_action = WorkAction.find(params[:id])
  end

  def new
    @work_action = WorkAction.new
  end

  def create
    @work_action = WorkAction.new(params[:work_action])
    if @work_action.save
      flash[:notice] = 'WorkAction was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @work_action = WorkAction.find(params[:id])
  end

  def update
    @work_action = WorkAction.find(params[:id])
    if @work_action.update_attributes(params[:work_action])
      flash[:notice] = 'WorkAction was successfully updated.'
      redirect_to :action => 'show', :id => @work_action
    else
      render :action => 'edit'
    end
  end

  def destroy
    WorkAction.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
