class Invoice < ActiveRecord::Base
  belongs_to :partner
  belongs_to :division
  belongs_to :bank_account
  belongs_to :currency
  has_many :invoice_details
  has_many :attach_file_refs
  has_many :attach_files, :through => :attach_file_refs

  def sum_amount
    r = InvoiceDetail.find :first,
                           :select => 'sum(amount) AS sum_amount',
                           :conditions => ['invoice_id = ?', id]
    return r.sum_amount
  end
end
