
# 仕訳の取り込み
# ファイル名は決め打ち。会計システムからエクスポートする。

require 'csv'
require './import_common.rb'

establish_connection 'import_gl.log'

require '../app/models/general_ledger'
require '../app/models/kubun'
require '../app/models/user'
require '../app/models/account_title'
require '../app/models/division'

def create_kubun
  kubun = Kubun.new :name => "actual"
  kubun.save!
end

def import_gl
  data = sjis2utf8 File.read('shiwake.csv')

  GeneralLedger.transaction {
    kubun = Kubun.find :first, :conditions => ["name = ?", "actual"]
    raise if !kubun

    idx = 0
    CSV::Reader.parse(data) {|line|
      idx += 1; next if idx == 1
      (print '.'; STDOUT.flush) if (idx % 100) == 0
      r = GeneralLedger.new(
          :date => line[0],  # 伝票日付
          :kubun_id => kubun.id,
          :slip_number => line[1].to_i != 0 ? line[1].to_i : nil, # 伝票番号
          :created_by => find_worker(line[6].to_i), # 作成者
          :created_at => line[5],   # 作成日時
      :account_title => find_account_title(line[8].to_i, line[10].to_i) || (raise "ac#{line[8]}/#{line[10]}"),
          :division => line[12] && line[12] != "" ?
                (find_division_by_code(line[12]) || raise("not found division #{line[12]}")) : nil,
          :amount => line[18].to_i,
          :remarks => line[33])
      r.save!

      r = GeneralLedger.new(
          :date => line[0],  # 伝票日付
          :kubun_id => kubun.id,
          :slip_number => line[1].to_i != 0 ? line[1].to_i : nil,
          :created_by => find_worker(line[6].to_i),
          :created_at => line[5],
      :account_title => find_account_title(line[20].to_i, line[22].to_i) || raise("not found title #{line[20]},#{line[22]}"),
          :division => line[24] && line[24] != "" ?
                (find_division_by_code(line[24]) || raise("not found #{line[24]}")) : nil,
          :amount => -(line[30].to_i),
          :remarks => line[33])
      r.save!
    }
  }
end

#create_kubun
import_gl
